Reset Search
 

 

Article

"Firmware is out of date" error log message

« Go Back

Information

 
Title"Firmware is out of date" error log message
Symptoms
Observe "Firmware is out of date" error log message such as:
 
Firmware for 10G shared ports is out of date
<Warn:HAL.Card.Warning> Switch PLD1 firmware is out of date, do 'install firmware' to update.
<Warn:HAL.Card.Warning> Switch FPGA firmware is out of date, do 'install firmware' to update.
<Warn:HAL.Card.Warning> Switch CPLD firmware is out of date, do 'install firmware' to update.
<Warn:HAL.Card.Warning> Switch VPLD firmware is out of date, do 'install firmware' to update.



 
Environment
Any X440-G2, X465, or X620 running EXOS
Cause
The X440-G2, X465, and X620 switches allow EXOS to update Programmable Logic Component (PLD and FPGA) firmware.
EXOS release notes will include specific information if PLD / FPGA updates are included

 
Resolution
Run the following CLI command and restart the unit
install firmware

 
Additional notes
The installed FPGA / PLD firmware versions are reported with the following command:
 
show version detail



The FPGA and PLD are internal logic boards responsible for connecting multiple circuits together. The FPGA and PLD firmware should be installed when this error is seen, as it being out of date can result in unexpected behavior.

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255